package com.yc.education.service;/**
 * huangpan
 * 2019/10/22
 * energy
 */

import com.yc.education.model.Productclassify;

import java.util.List;

/**
 *@ClassName ProductOneService
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/10/22 14:45
 *@Version 1.0
 */
public interface ProductOneService  extends IService<Productclassify> {
    /*查询所有*/
    List<Productclassify> selAllPclassify(Integer id, String pName, Integer pageNum, Integer pageSize);

    /*查询单条*/
    Productclassify selectPclassifyById(Integer id);

    /*查询是否还有子列表*/
    int countPclassify(Integer id);

    /*删除单条*/
    void deletePclassifyById(Integer id);

    /*首页查询所有*/
    List<Productclassify> getProductclassify();

    /*查询最新添加的Id*/
    int getPclassifyById();

    /*首页查询*/
    List<Productclassify> getProductById(Integer id);

    /*首页查询所有*/
    List<Productclassify> getProduct();

    /*查询所有二级分类*/
    List<Productclassify> getcast(Integer id,String pName, Integer pageNum, Integer pageSize);

    /*通过id获取一级名称*/

    /*通过id获取二级名称*/
    List<Productclassify> gerreemod();
}